/*
 *
 * CLEX File Manager
 *
 * Copyright (C) 2001-2008 Vlado Potisk <vlado_potisk@clex.sk>
 *
 * CLEX is free software without warranty of any kind; see the
 * GNU General Public License as set out in the "COPYING" document
 * which accompanies the CLEX File Manager package.
 *
 * CLEX can be downloaded from http://www.clex.sk
 *
 */

#include <config.h>

#include <sys/types.h>		/* clex.h */
#include <string.h>

#include "clex.h"
#include "filter_match.h"

#include "util.h"			/* substring() */

static const char *filter_str;
static int filter_ic;		/* ignore case */

void
force_ic(int ic)
{
	filter_ic = ic;
}

void
set_filter_str(const char *filter)
{
	/*
	 * 'filter' must not change when filter_match() is called,
	 * otherwise a copy of it is to be made
	 */
	filter_ic = FOPT(FOPT_IC);
	filter_str = filter;
}

int
filter_match(const char *str)
{
	return substring(str,filter_str,filter_ic);
}
